//-----------------------------------------------------------------------
// <copyright file=" rep_importconfig.cs">
// * FileName: 导入报表SQL配置.cs 
// </copyright>
//-----------------------------------------------------------------------
using System;
using System.ComponentModel.DataAnnotations;
using System.ComponentModel.DataAnnotations.Schema;

namespace Performance.EntityModels
{
    /// <summary>
    /// 导入报表SQL配置
    /// </summary>
    [Table("rep_importconfig")]
    public class rep_importconfig
    {
        /// <summary>
        /// 
        /// </summary>
        [Key]
        public int ID { get; set; }

        /// <summary>
        /// 
        /// </summary>
        public string TableName { get; set; }

        /// <summary>
        /// 
        /// </summary>
        public string ImportScript { get; set; }

        /// <summary>
        /// 
        /// </summary>
        public string DeleteScript { get; set; }

        /// <summary>
        /// 数据库地址，仅在HIS抽取时使用
        /// </summary>
        public Nullable<int> ConfigId { get; set; }

        /// <summary>
        /// 脚本类型 1 HIS抽取 2 EXCEL抽取
        /// </summary>
        public int ScriptType { get; set; }

        /// <summary>
        /// 时间范围 1 当前 2 同期 3 上期
        /// </summary>
        public int TimeRange { get; set; }

        /// <summary>
        /// 是否有效 1 有效 0 无效
        /// </summary>
        public int IsEnable { get; set; }
    }
}
